﻿@page "/register"
@inherits RegisterViewModel
@layout LoginLayout

<h1 class="h2 font-weight-normal login-title">
  PDM-система
</h1>
<div class="form-signin">
  <EditForm Model="@RegisterModel" 
            OnValidSubmit="@OnSubmit">
    <DataAnnotationsValidator />
    <ValidationSummary />
    <h4 class="font-weight-normal text-center">Создание аккаунта</h4>

    <label for="inputUsername"
           class="sr-only">
      Логин
    </label>
    <input id="inputUsername"
           class="form-control"
           placeholder="Логин"
           required
           autofocus
           bind="@RegisterModel.UserName" />

    <label for="inputPassword"
           class="sr-only">
      Пароль
    </label>
    <input type="password"
           id="inputPassword"
           class="form-control"
           placeholder="Пароль"
           required
           bind="@RegisterModel.Password" />

    <label for="inputPasswordConfirm"
           class="sr-only">
      Подтверждение пароля
    </label>
    <input type="password"
           id="inputPasswordConfirm"
           class="form-control"
           placeholder="Подтверждение пароля"
           required
           bind="@RegisterModel.PasswordConfirm" />

    <button class="btn btn-lg btn-primary btn-block"
            type="submit">
      Создать
    </button>

    <label class="text-danger">@Error</label>
    <NavLink href="login">
      <h6 class="font-weight-normal text-center">Уже есть аккаунт? Нажмите сюда для авторизации</h6>
    </NavLink>
  </EditForm>
</div>
